NSX-T Data Center REST API

Create or update a Dynamic Runbook Instance

Create an Online Diagnostic System Dynamic Runbook Instance with the specified identifier
if not existed, or update an existing Online Diagnostic System Dynamic Runbook Instance
otherwise.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/sha/dynamic-runbook-instances/{instance-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
OdsDynamicRunbookInstance+

Example Request:

PATCH https://<nsx-mgr>/policy/api/v1/infra/sha/dynamic-runbook-instances/instance-1 { "applied_to_group_paths": ["/infra/domains/default/groups/TNGroup"], "applied_to_all_appliances": false, "_revision" : 0 }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
OdsDynamicRunbookInstance+

Required Permissions:

crud

Feature:

policy_ops

Additional Errors: